Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindChapterIVParagraphRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.DicsRequestType
              be.fgov.ehealth.dics.protocol.v5.FindChapterIVParagraphRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:26:47+02:00",
               comments="JAXB RI v2.3.6")
    public class FindChapterIVParagraphRequest

extends DicsRequestType
implements Serializable

Java class for FindChapterIVParagraphRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindChapterIVParagraphRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByParagraphName" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByParagraphNameType"/>
             <element name="FindByLegalReferencePath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindChapterIVParagraphRequest()`

Method Summary
`FindByDmppType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
`String` | `getFindByLegalReferencePath()` Gets the value of the findByLegalReferencePath property.
`FindByParagraphNameType` | `getFindByParagraphName()` Gets the value of the findByParagraphName property.
`void` | `setFindByDmpp(FindByDmppType value)` Sets the value of the findByDmpp property.
`void` | `setFindByLegalReferencePath(String value)` Sets the value of the findByLegalReferencePath property.
`void` | `setFindByParagraphName(FindByParagraphNameType value)` Sets the value of the findByParagraphName property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType
`getSearchDate, setSearchDate`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindChapterIVParagraphRequest

    public FindChapterIVParagraphRequest()

Method Detail

### getFindByDmpp

    public FindByDmppType getFindByDmpp()

  Gets the value of the findByDmpp property.

  Returns:
    possible object is `FindByDmppType`

### setFindByDmpp

    public void setFindByDmpp(FindByDmppType value)

  Sets the value of the findByDmpp property.

  Parameters:
    `value` - allowed object is `FindByDmppType`

### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()

  Gets the value of the findByLegalReferencePath property.

  Returns:
    possible object is `String`

### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)

  Sets the value of the findByLegalReferencePath property.

  Parameters:
    `value` - allowed object is `String`

### getFindByParagraphName

    public FindByParagraphNameType getFindByParagraphName()

  Gets the value of the findByParagraphName property.

  Returns:
    possible object is `FindByParagraphNameType`

### setFindByParagraphName

    public void setFindByParagraphName(FindByParagraphNameType value)

  Sets the value of the findByParagraphName property.

  Parameters:
    `value` - allowed object is `FindByParagraphNameType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.